package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag296;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT296Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT296Creator mt296Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt296Creator = (MT296Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt296Creator.getMtDateTag11a();
        mt296Creator.set("11S", tag11aValue);
    }
}
